<?php

namespace App\Http\Requests\User\Auth;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class ForgotPasswordRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'email' => [
                'nullable',
                'email',
                'required_without:phone',
                Rule::exists('users', 'email')
            ],
            'phone' => [
                'nullable',
                'string',
                'required_without:email',
                Rule::exists('users', 'phone')
            ],
        ];
    }

    public function messages()
    {
        return [
            'email.exists' => 'Account with email does not exist.',
        ];
    }
}
